Bug 1196452 - systemd immediately unmounts ramdisks
Summary: systemd immediately unmounts ramdisks
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 01:20 UTC by Brian Foster
Modified: 2015-04-24 06:48 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-03-21 05:02:43 UTC


Attachments (Terms of Use)

Description Brian Foster 2015-02-26 01:20:52 UTC
To reproduce:

# modprobe brd
# mkfs.xfs /dev/ram0
# mount /dev/ram0 /mnt/
...
# umount /mnt
umount: /mnt/: not mounted

The device mounts initially and then very shortly thereafter is unmounted by systemd with the following in the logs:

localhost systemd: Unit mnt.mount is bound to inactive unit. Stopping, too.
localhost systemd: Unmounting /mnt...
localhost systemd: Unmounted /mnt.
localhost systemd: Unit mnt.mount entered failed state.

This problem occurs with systemd-219-4.fc22.x86_64. It did not occur with systemd-318-*. The kernel is 4.0.0-0.rc1.git0.1.fc22.x86_64.

Comment 1 Lennart Poettering 2015-02-28 17:19:01 UTC
Fixed in git.

Comment 2 Fedora Update System 2015-03-15 04:00:44 UTC
systemd-219-9.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/systemd-219-9.fc22

Comment 3 Fedora Update System 2015-03-16 01:40:58 UTC
Package systemd-219-9.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-219-9.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3949/systemd-219-9.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-03-21 05:02:43 UTC
systemd-219-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Jan Synacek 2015-03-26 12:18:21 UTC
Is this bug really fixed in systemd-219-9.fc22? I have just seen it in the current F21 version and wanted to see the fix, but I can't find it in neither the upstream repo nor the fedora repo. Zbyszek, could you please point me to the patch?

Comment 6 Zbigniew Jędrzejewski-Szmek 2015-03-26 14:39:40 UTC
See commits 496068a82, 628c89c.

Comment 7 Zbigniew Jędrzejewski-Szmek 2015-03-26 14:40:27 UTC
I thought that this bug appeared only recently. If we have the same thing in F21, then maybe you can open a separate bug so we can track it more easily?


Note You need to log in before you can comment on or make changes to this bug.